Skip to main content
POST
/
api
/
v1
/
verification
/
philippines
/
prc
PRC By Name
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v1/verification/philippines/prc \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "profession": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "template_id": "{your_trust_flow_id}",
  "verification_id": "{your_created_verification_id}"
}
'
{
  "status": "VERIFIED",
  "message": "OK",
  "response": {
    "valid": true,
    "data": {
      "profession": "Mechanical Engineer",
      "firstName": "Juan",
      "lastName": "Dela Cruz"
    },
    "message": "PRC record matched"
  },
  "riskRating": "LOW"
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
profession
string
required

Profession of the individual.

firstName
string
required

First name of the individual to be verified.

lastName
string
required

Last name of the individual to be verified.

template_id
integer
required

Identifier used to categorize or group requests for tracking or reporting.

verification_id
string
required

A unique ID used to identify your verification request.

Response

200 - application/json

PRC by name verified successfully